Bug 426350 - Review Request: mono-basic
Review Request: mono-basic
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nielsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-20 07:01 EST by Paul F. Johnson
Modified: 2008-02-01 02:32 EST (History)
2 users (show)

See Also:
Fixed In Version: mono-basic-1.2.6-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 02:32:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gnomeuser: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2007-12-20 07:01:14 EST
Spec URL: http://pfj.fedorapeople.org/mono-basic.spec
SRPM URL: http://pfj.fedorapeople.org/mono-basic-1.2.6-1.fc9.src.rpm
Description: mono-basic is the visual basic compiler for mono
Comment 1 David Nielsen 2007-12-28 13:23:31 EST
I'll take this as a bribe for fixing #394851. 

GOOD:
builds cleanly in mock (tested x86_64 Rawhide and i386 F8)
Owns all it's file and directories
the spec is in clean US English (and nifty sed magic)

BAD:
GPL/LGPL are no longer valid licenses
Summary needs to be capitalized (minor but rpmlint complains so let's shut it up)
mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 7)

Aside that, the spec seems to comply to packaging standards. Is there any reason to export the 
language variable?
Comment 2 Paul F. Johnson 2008-01-03 18:13:22 EST
Fixed the bad bits and removed the export language bit (it was from another spec
file)
Comment 3 David Nielsen 2008-01-03 19:02:03 EST
This seems sane to me.. APPROVED.
Comment 4 Jens Petersen 2008-01-06 23:59:40 EST
Shouldn't the license be LGPLv2+?
Comment 5 Paul F. Johnson 2008-01-07 06:57:11 EST
I'm not sure. 

This URL suggests GPLv2 : http://www.t2-project.org/packages/mono-basic.html, as
does
http://dsrg.mff.cuni.cz/projects/mono/diffs/showdiff.php?old=2005-11-05&new=2005-11-06&diffIndex=14&bench=.
However, I've seen it also listed as LGPL.

I'll see what upstream has to say.
Comment 6 Dennis Gilmore 2008-01-07 13:07:22 EST
there is no CVS request here.  please follow the directions at 
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 7 Paul F. Johnson 2008-01-07 13:27:11 EST
New Package CVS Request
=======================
Package Name: mono-basic
Short Description: VB.NET support for mono
Owners: pfj
Branches: FC7, FC8
InitialCC: pfj
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-01-07 22:11:33 EST
cvs done.
Comment 9 David Nielsen 2008-02-01 02:32:22 EST
This is in the repos now, CLOSING

Note You need to log in before you can comment on or make changes to this bug.